{"type":"api","title":"Delete Cluster By Name","meta":{"id":"/apps/pubhub/media/nexus-dashboard-api-v1/2d8067c28a54188664f609609cef1230805664b5/bd1d3c86-e531-31dc-81ae-49c9907bffa7","info":{"contact":{"name":"Cisco Technical Assistance Center (TAC)","url":"https://developer.cisco.com/docs/nexus-dashboard/latest/developer-support/"},"description":"Infrastructure APIs are largely used to manage the ND cluster","license":{"name":"Cisco","url":"https://www.cisco.com/site/us/en/about/legal/contract-experience/index.html"},"title":"Nexus Dashboard Infrastructure v1","version":"1.2.109"},"tags":[{"name":"Authentication"},{"name":"System Status"},{"name":"System Settings"},{"name":"Multi-Cluster Connectivity"},{"name":"License Management"},{"name":"Integrations"},{"name":"System Software"},{"name":"Backup and Restore"},{"name":"History and Logs"},{"name":"Tech Support"},{"name":"Users and Security"},{"name":"Certificate Management"},{"name":"Multi Tenancy"},{"name":"System Bootstrap"}],"x-parser-conf":{"overview":{"markdownPath":"reference/overview-infra.md"},"labelConfig":{"endpoint":{"field":"operationId","format":"startCase"}}},"openapi":"3.0.3","servers":[{"description":"Nexus Dashboard Infrastructure APIs","url":"https://{cluster}/api/v1/infra","variables":{"cluster":{"default":"example.com","description":"The cluster URL/IP address","enum":["example.com","10.1.1.20"]}}}],"securitySchemes":{"OAuth2":{"type":"oauth2","description":"OAuth2 security scheme","flows":{"implicit":{"authorizationUrl":"https://example.com/login","scopes":{"observer":"Grants read access","fabric-admin":"Grants write access to fabric resources","support-engineer":"Primarily a role for support engineers to operate the managed resources","super-admin":"Grants access to all operations","approver":"Grants access to approve policies","designer":"Grants access to design policies","device-upg-admin":"Grants access to switch device upgrade operations"}}}},"http_signature":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"HTTP Signature security scheme"},"cookieAuth":{"type":"apiKey","description":"Cookie based authentication","in":"cookie","name":"AuthCookie"}}},"spec":{"description":"Remove a remote cluster","operationId":"deleteClusterByName","parameters":[{"description":"name of the cluster","in":"path","name":"name","required":true,"schema":{"minimum":1,"type":"string"}}],"requestBody":{"content":{"application/json":{"example":{"credentials":{"loginDomain":"DefaultAuth","password":"fakePassword1","user":"admin"},"force":true},"schema":{"description":"Configuration to remove a cluster from the Multi-cluster","properties":{"credentials":{"description":"Credentials to authenticate with the remote cluster. This is only required for APIC clusters in the removal case","properties":{"loginDomain":{"description":"login domain for authentication","type":"string"},"password":{"description":"password for authentication","type":"string"},"user":{"description":"username for authentication","type":"string"}},"$$ref":"#/components/schemas/clusterCredentials"},"force":{"description":"Ensures removal will succeed in the case the remote cluster is not healthy or communicable. This API can only be used from the Multi-cluster primary. For Nexus Dashboard clusters, any fabrics owned by the cluster being removed will become inaccessible from the remaining Nexus Dashboard clusters in the Multi-cluster. Colocation features enabled between the cluster being removed and other Nexus Dashboard clusters in the Multi-Cluster will be disrupted.\nFor ACI clusters, the corresponding ACI fabric will be removed from all Nexus Dashboard clusters in the Multi-cluster. Any features enabled on the fabric will be disrupted. This API will only deregister the primary cluster from the ACI fabric, meaning any existing registrations by secondary clusters will be left stale on the ACI fabric. It is recommended to deregister the ACI fabric from all secondary clusters prior to doing this.","type":"boolean"}},"$$ref":"#/components/schemas/RemoveCluster"}}},"required":false},"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Bad Request","description":"The server could not understand the request due to incorrect syntax.","code":400}}},"$$ref":"#/components/responses/400"},"401":{"description":"Unauthorized","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Unauthorized","description":"Indicates that the request requires user authentication information.","code":401}}},"$$ref":"#/components/responses/401"},"403":{"description":"Forbidden","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Forbidden","description":"The client does not have access rights to the content.","code":403}}},"$$ref":"#/components/responses/403"},"404":{"description":"Not Found","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Not Found","description":"The server cannot find the requested resource.","code":404}}},"$$ref":"#/components/responses/404"},"412":{"description":"Precondition Failed","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Precondition Failed","description":"The client has indicated preconditions in its headers that the server does not meet.","code":412}}},"$$ref":"#/components/responses/412"},"429":{"description":"Too many requests.","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Too Many Requests","description":"The user has sent too many requests in a given amount of time.","code":429}}},"$$ref":"#/components/responses/429"},"500":{"description":"Internal Server Error","headers":{"Date":{"description":"Date","example":"Tue, 15 Nov 1994 08:12:31 GMT","schema":{"type":"string","example":"Tue, 15 Nov 1994 08:12:31 GMT","nullable":true},"$$ref":"#/components/headers/Date"},"Cache-Control":{"description":"Cache-Control","example":"no-cache, no-store, must-revalidate","schema":{"type":"string","default":"no-cache","nullable":true},"$$ref":"#/components/headers/Cache-Control"}},"content":{"application/json":{"schema":{"description":"Error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"},"errors":{"description":"An array of errors","type":"array","items":{"description":"Sub error object","type":"object","properties":{"message":{"description":"The message that can be displayed to the user","type":"string"},"description":{"description":"A detailed description or suggestions on how to correct the error","type":"string"},"code":{"description":"The error code","type":"integer"}},"required":["message","code","description"],"example":{"message":"Invalid email","description":"The email you provided is invalid","code":4066},"$$ref":"#/components/schemas/SubError"}}},"example":{"message":"Unauthorized","description":"You are not authorized to access this resource","code":4065},"required":["message","code","description"],"$$ref":"#/components/schemas/Error"},"example":{"message":"Internal Server Error","description":"The server encountered an unexpected condition that prevented it from fulfilling the request.","code":500}}},"$$ref":"#/components/responses/500"}},"security":[{"OAuth2":["super-admin","fabric-admin"]}],"summary":"Remove a remote cluster","tags":["Multi-Cluster Connectivity"],"__originalOperationId":"deleteClusterByName","method":"post","path":"/clusters/{name}/remove"}}